# Class Context

Object
CodeList<Context>
Context

All Implemented Interfaces:
  `Serializable, Comparable<Context>`

@UML(identifier="MI_ContextCode", specification=ISO_19115_2) public final class Context extends CodeList<Context>
Designation of criterion for defining the context of the scanning process event.

Since:
  2.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class CodeList

  `CodeList​.Filter`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Context`
  `ACQUISITION`
  Event related to a specific collection.
  `static final Context`
  `PASS`
  Event related to a sequence of collections.
  `static final Context`
  `WAY_POINT`
  Event related to a navigational manoeuvre.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Context[]`
  `family()`
  Returns the list of enumerations of the same kind as this enum.
  `static Context`
  `valueOf(String code)`
  Returns the context that matches the given string, or returns a new one if none match it.
  `static Context[]`
  `values()`
  Returns the list of `Context`s.

  ### Methods inherited from class CodeList

  `compareTo, identifier, name, names, ordinal, readResolve, toString, valueOf, valueOf`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### ACQUISITION

    @UML(identifier="acquisition", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Context ACQUISITION
    Event related to a specific collection.

  - ### PASS

    @UML(identifier="pass", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Context PASS
    Event related to a sequence of collections.

  - ### WAY_POINT

    @UML(identifier="wayPoint", obligation=CONDITIONAL, specification=ISO_19115_2) public static final Context WAY_POINT
    Event related to a navigational manoeuvre.

- ## Method Details

  - ### values

    public static Context[] values()
    Returns the list of `Context`s.
    Returns:
      The list of codes declared in the current JVM.

  - ### family

    public Context[] family()
    Returns the list of enumerations of the same kind as this enum.
    Specified by:
      `family` in class `CodeList<Context>`
    Returns:
      The codes of the same kind as this code.

  - ### valueOf

    public static Context valueOf(String code)
    Returns the context that matches the given string, or returns a new one if none match it.
    Parameters:
      `code` - The name of the code to fetch or to create.
    Returns:
      A code matching the given name.